#
# spec file for package soapy-bladerf
#
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define soapy_modver 0.6
%define soapy_modname soapysdr%{soapy_modver}-module-bladerf

Name:           soapy-bladerf
Version:        0.3.3
Release:        lp150.1.4
Summary:        SoapySDR BladeRF module
License:        LGPL-2.1
Group:          Hardware/Other
Url:            https://github.com/pothosware/SoapyBladeRF/wiki
#Git-Clone:     https://github.com/pothosware/SoapyBladeRF.git
Source:         https://github.com/pothosware/SoapyBladeRF/archive/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(SoapySDR)
BuildRequires:  pkgconfig(libbladeRF)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Soapy BladeRF - BladeRF device support for Soapy SDR.
A Soapy module that supports BladeRF devices within the Soapy API.

%package -n %{soapy_modname}
Summary:        SoapySDR BladeRF module
Group:          System/Libraries

%description -n %{soapy_modname}
Soapy BladeRF - BladeRF device support for Soapy SDR.
A Soapy module that supports BladeRF devices within the Soapy API.

%prep
%setup -q -n SoapyBladeRF-%{name}-%{version}

%build
%cmake
make VERBOSE=1 %{?_smp_mflags}

%install
%cmake_install

%files -n %{soapy_modname}
%defattr(-,root,root)
%doc LICENSE.LGPLv2.1 README.md
%dir %{_libdir}/SoapySDR
%dir %{_libdir}/SoapySDR/modules%{soapy_modver}
%{_libdir}/SoapySDR/modules%{soapy_modver}/libbladeRFSupport.so

%changelog
* Fri May  5 2017 mardnh@gmx.de
- Update to version 0.3.3
  * Added label convention to bladerf discovery routine
  * Update debian files for SoapySDR module ABI format
* Wed Apr 19 2017 mardnh@gmx.de
- renamed packages according the debian package name from upstream
* Fri Apr 14 2017 mardnh@gmx.de
- Update to version 0.3.2 (tagged release)
- renamed package from SoapyBladeRF to soapy-bladerf
- specfile cleanup
* Tue Jan  3 2017 mardnh@gmx.de
- Update to version 0.3.2.git1472794191.c83cc2b:
  * fix typo in debian copyright file
  * bladerf: Implemented masked GPIO write
  * Fix tx end of burst implementation in deactivateStream()
  * clear EOB when the last sample will not be transmitted
  * bladerf: changelog entry for 0.3.1
  * user patch for xb200 support and loopback hooks
  * fix logger calls, added c++11, compiling
  * apply matching device args to settings
  * separate project and debian changelogs
  * changelog entries for settings work
  * added c++11 flags for OSX
  * bladerf: changelog entry for 0.3.2
  * debian: update for soapySDR module ABI format
  * debian: fixed rules executable bit
* Tue Dec  8 2015 mardnh@gmx.de
- Update to version 0.2.0.git1448058413.43cf191:
  + bladerf: implement new stream info calls
  + bladerf: fix STRINGIFY for default arguments
  + travis: added travis ci for SoapyBladeRF
* Sun Oct 11 2015 mardnh@gmx.de
- initial package
